Package relaxngcc.builder

# Class AutomatonBuilder

java.lang.Object
relaxngcc.builder.AutomatonBuilder

All Implemented Interfaces:
  `PatternFunction`

public class AutomatonBuilder extends Object implements PatternFunction
Builds an automaton from `Scope` object.

This function returns `String`.

Author:
  Daisuke Okajima, Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`AutomatonBuilder(NGCCGrammar grammar, ScopeInfo scope)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addError(BuildError err)`
`Object`
`attribute(AttributePattern pattern)`
`void`
`build()`
`Object`
`choice(ChoicePattern pattern)`
`Object`
`data(DataPattern pattern)`
`Object`
`element(ElementPattern pattern)`
`Object`
`empty(EmptyPattern pattern)`
`Object`
`group(GroupPattern pattern)`
`Object`
`interleave(InterleavePattern pattern)`
`Iterator`
`iterateErrors()`
`Object`
`javaBlock(JavaBlock block)`
`Object`
`list(ListPattern pattern)`
`Object`
`notAllowed(NotAllowedPattern pattern)`
`Object`
`oneOrMore(OneOrMorePattern pattern)`
`Object`
`ref(RefPattern pattern)`
`Object`
`scope(Scope scope)`
`Object`
`value(ValuePattern pattern)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutomatonBuilder

public AutomatonBuilder(NGCCGrammar grammar, ScopeInfo scope)

## Method Details

### build

public void build()

### element

public Object element(ElementPattern pattern)

Specified by:
  `element` in interface `PatternFunction`

### attribute

public Object attribute(AttributePattern pattern)

Specified by:
  `attribute` in interface `PatternFunction`

### data

public Object data(DataPattern pattern)

Specified by:
  `data` in interface `PatternFunction`

### empty

public Object empty(EmptyPattern pattern)

Specified by:
  `empty` in interface `PatternFunction`

### notAllowed

public Object notAllowed(NotAllowedPattern pattern)

Specified by:
  `notAllowed` in interface `PatternFunction`

### value

public Object value(ValuePattern pattern)

Specified by:
  `value` in interface `PatternFunction`

### list

public Object list(ListPattern pattern)

Specified by:
  `list` in interface `PatternFunction`

### javaBlock

public Object javaBlock(JavaBlock block)

Specified by:
  `javaBlock` in interface `PatternFunction`

### group

public Object group(GroupPattern pattern)

Specified by:
  `group` in interface `PatternFunction`

### choice

public Object choice(ChoicePattern pattern)

Specified by:
  `choice` in interface `PatternFunction`

### interleave

public Object interleave(InterleavePattern pattern)

Specified by:
  `interleave` in interface `PatternFunction`

### oneOrMore

public Object oneOrMore(OneOrMorePattern pattern)

Specified by:
  `oneOrMore` in interface `PatternFunction`

### ref

public Object ref(RefPattern pattern)

Specified by:
  `ref` in interface `PatternFunction`

### scope

public Object scope(Scope scope)

Specified by:
  `scope` in interface `PatternFunction`

### addError

public void addError(BuildError err)

Specified by:
  `addError` in interface `PatternFunction`

### iterateErrors

public Iterator iterateErrors()